Get a condition by ID
get
/Condition/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual condition by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Condition
Type:
objectThe FHIR R4 Condition resource.
Show Source
-
abatementDateTime: string
The FHIR
dateTime, including supported partial-date precision. -
category(required): array
category
-
clinicalStatus: object
CodeableConcept
-
code(required): object
CodeableConcept
-
encounter: object
ReferenceForCondition
-
extension: array
extension
-
id(required): string
-
identifier: array
identifier
-
meta: object
meta
-
note: array
note
-
onsetDateTime: string
The FHIR
dateTime, including supported partial-date precision. -
recordedDate: string
(date-time)
-
recorder: object
ReferenceForCondition
-
resourceType(required): string
Allowed Values:
[ "Condition" ] -
severity: object
CodeableConcept
-
subject(required): object
ReferenceForCondition
-
text: object
Narrative
-
verificationStatus: object
CodeableConcept
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ExtensionForCondition
Type:
Show Source
object-
url: string
(uri)
-
valueCodeableConcept: object
CodeableConcept
-
valueDateTime: string
The FHIR
dateTime, including supported partial-date precision.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source